# throttle | Welshman Docs
Documentation for Welshman Docs

# Function throttle

Creates throttled version of function

- throttle< F extends (...args: any[]) => any>(
  ms: number,
  f: F ,
  ): F | (...thisArgs: Parameters< F >) => void

- #### Type Parameters

  - F extends (...args: any[]) => any

  #### Parameters

  - ms: number

    Minimum time between calls

  - f: F

    Function to throttle

  #### Returns F | (...thisArgs: Parameters< F >) => void

  Throttled function

  - Defined in packages/lib/src/Tools.ts:810